Delete a coupon
DELETE /v1/coupons/{id}
DELETE
/v1/coupons/{id}
Delete an existing coupon by ID for the authenticated company
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
coupon_123abcThe unique identifier of the coupon to delete
Responses
Section titled “ Responses ”Successfully deleted coupon
object
status
string
data
Empty response body
object
Unauthorized - authentication required
object
status
string
Example
error message
string
Example
An error occurred error
string
Coupon not found
object
status
string
Example
error message
string
Example
An error occurred error
string
Internal server error
object
status
string
Example
error message
string
Example
An error occurred error
string